### Namespace

# SpiceClientGtk – 3.0

A GTK widget for SPICE display

Version | 0.43.0
Authors | The Spice Project
License | LGPL-2.1-or-later
Website |
Source | https://gitlab.freedesktop.org/spice/spice-gtk/

#### Build

C headers | `spice-widget.h`
pkg-config files | `spice-client-gtk-3.0`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation
Gtk—3.0 | The GTK toolkit
| Browse documentation
SpiceClientGLib—2.0 | SPICE client GLib library
| Browse documentation

#### Additional documentation

- Overview
- Classes Hierarchy

#### Classes

Display | The `SpiceDisplay` struct is opaque and should not be accessed directly.
GtkSession | The `SpiceGtkSession` struct is opaque and should not be accessed directly.
UsbDeviceWidget | The `SpiceUsbDeviceWidget` struct is opaque and should not be accessed directly.

#### Structs

GrabSequence | An opaque type that represents a grab sequence.

#### Enumerations

DisplayKeyEvent | Constants for key events.